petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecISAXPY

Adds a reduced vector to the appropriate elements of a full-space vector. vfull[is[i]] += alpha*vreduced[i]

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecISAXPY(Vec vfull, IS is, PetscScalar alpha,Vec vreduced)

### Input Parameters

| vfull | - the full-space vector
| vreduced | - the reduced-space vector
| is | - the index set for the reduced space

### Output Parameters

vfull -the sum of the full-space vector and reduced-space vector

### See Also

VecAXPY()

Level:advanced
Location:src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages